; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
;	INP: 		SRAM (adr_ROM_CRC_BEREICH)										
;																				
DS2430_READ_EEPROM:
	; RESET													
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
	; MASTER TX x55 (MATCH ROM) +  8 BYTE ROM CODE			
	rcall ROM_MATCH
	; MASTER TX xF0 (read MEMORY)							
	ldi	temp1,0xF0
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX x00 (START ADRESSE)							
	ldi	temp1,0x00
	rcall ONE_WIRE_DATA_WRITE
	; ANZEIGE												
	rcall LCD_CLEAR
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall LCD_ZEILE2
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall LCD_ZEILE3
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall LCD_ZEILE4
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	; RESET													
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
;	INP: 		SRAM (adr_ROM_CRC_BEREICH)										
;																				
DS2430_WRITE_EEPROM:
	; RESET													
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
	; MASTER TX x55 (MATCH ROM) +  8 BYTE ROM CODE			
	rcall ROM_MATCH
	; MASTER TX x0F (write SCRATCHPAD)							
	ldi	temp1,0xF0
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX x06 (START ADRESSE)							
	ldi	temp1,0x06
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX DATA	
	ldi	temp1,0x01
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX DATA	
	ldi	temp1,0x02
	rcall ONE_WIRE_DATA_WRITE
	; RESET													
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
;-------------------------------------------------------------------------------
	; MASTER TX x55 (MATCH ROM) +  8 BYTE ROM CODE			
	rcall ROM_MATCH
	; MASTER TX xAA (read SCRATCHPAD)							
	ldi	temp1,0xAA
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX x06 (START ADRESSE)							
	ldi	temp1,0x06
	rcall ONE_WIRE_DATA_WRITE
	; MASTER RX 2 BYTE
	rcall LCD_CLEAR
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall wait_1s

	; RESET													
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
;-------------------------------------------------------------------------------
	; MASTER TX x55 (MATCH ROM) +  8 BYTE ROM CODE			
	rcall ROM_MATCH
	; MASTER TX x55 (COPPY SCRATCHPAD)							
	ldi	temp1,0x55
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX xA5 (Validation key)							
	ldi	temp1,0xA5
	rcall ONE_WIRE_DATA_WRITE
	; STRONG_PULLUP
	rcall ONE_WIRE_STRONG_PULLUP
	rcall wait_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################




















